GpgFrontend::CoreCommonUtil Class Reference
Inheritance diagram for GpgFrontend::CoreCommonUtil:
Collaboration diagram for GpgFrontend::CoreCommonUtil:

## Signals

void | SignalGnupgNotInstall ()

## Static Public Member Functions

static CoreCommonUtil * | GetInstance ()
| Construct a new Core Common Util object. More...

## Static Private Attributes

static std::unique_ptr< CoreCommonUtil > | instance_ = nullptr

## Member Function Documentation

## GetInstance()

CoreCommonUtil * GpgFrontend::CoreCommonUtil::GetInstance | ( |  | ) |

static

Construct a new Core Common Util object.

Referenced by GpgFrontend::UI::CommonUtils::CommonUtils(), and GpgFrontend::Thread::CtxCheckTask::CtxCheckTask().

The documentation for this class was generated from the following files:

- src/core/common/CoreCommonUtil.h
- src/core/common/CoreCommonUtil.cpp